Index: oem-config/oem-config-dm
===================================================================
--- oem-config.orig/oem-config-dm	2009-08-21 10:05:04.000000000 +0900
+++ oem-config/oem-config-dm	2009-08-25 17:30:09.000000000 +0900
@@ -94,6 +94,10 @@
         ret = None
         try:
             ret = greeter.wait()
+
+            if ret == 0 and self.frontend == 'gtk_ui' and os.path.exists('/usr/bin/language-installer'):
+                langinstall = subprocess.Popen(['/usr/bin/language-installer'], stdin=null, stdout=logfile, stderr=logfile)
+                ret = langinstall.wait()
         finally:
             def sigalrm_handler(signum, frame):
                 os.kill(wm.pid, signal.SIGKILL)
